package com.ruoyi.frequency.appversion.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.frequency.appversion.entity.AppVersion;
import com.ruoyi.response.ResponseData;

import java.util.List;

/**
 * 版本Service接口
 * 
 * @author liwenlong
 * @date 2023-11-27
 */
public interface AppVersionService extends IService<AppVersion>
{
    /**
     * 查询版本
     * 
     * @param id 版本主键
     * @return 版本
     */
    public AppVersion selectAppVersionById(Long id);

    /**
     * 查询版本列表
     * 
     * @param appVersion 版本
     * @return 版本集合
     */
    public List<AppVersion> selectAppVersionList(AppVersion appVersion);

    /**
     * 新增版本
     * 
     * @param appVersion 版本
     * @return 结果
     */
    public int insertAppVersion(AppVersion appVersion);

    /**
     * 修改版本
     * 
     * @param appVersion 版本
     * @return 结果
     */
    public int updateAppVersion(AppVersion appVersion);

    /**
     * 批量删除版本
     * 
     * @param ids 需要删除的版本主键集合
     * @return 结果
     */
    public int deleteAppVersionByIds(Long[] ids,Integer delFlag);

    /**
     * 版本更新
     * @param appType
     * @return
     */
    ResponseData isUpgrade(Integer appType);
}
